curl --location --request POST 'https://api.stg.bidancer.com/auth-service/auth/oauth2/register' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"redirect_uris": [
"string"
],
"scope": "string",
"client_name": "string",
"client_uri": "string",
"logo_uri": "string",
"contacts": [
"string"
],
"tos_uri": "string",
"policy_uri": "string",
"software_id": "string",
"software_version": "string",
"software_statement": "string",
"post_logout_redirect_uris": [
"string"
],
"token_endpoint_auth_method": "client_secret_basic",
"grant_types": [
"authorization_code"
],
"response_types": [
"code"
],
"type": "string"
}'{
"client_id": "string",
"client_secret": "string",
"client_secret_expires_at": 0,
"scope": "string",
"user_id": "string",
"client_id_issued_at": 0,
"client_name": "string",
"client_uri": "string",
"logo_uri": "string",
"contacts": [
"string"
],
"tos_uri": "string",
"policy_uri": "string",
"software_id": "string",
"software_version": "string",
"software_statement": "string",
"redirect_uris": [
"http://example.com"
],
"post_logout_redirect_uris": [
"http://example.com"
],
"token_endpoint_auth_method": "none",
"grant_types": [
"authorization_code"
],
"response_types": [
"code"
],
"public": true,
"type": "web",
"disabled": true
}